#include <iostream>
#include <vector>

class MyClass {
public:
    MyClass(int a, double b) : x(a), y(b) {}
    void print() { std::cout << "x: " << x << ", y: " << y << std::endl; }
private:
    int x;
    double y;
};

int main() {
    // Uniform initialization for fundamental types
    int i{10};
    double d{3.14};
    
    // Uniform initialization for objects
    MyClass obj{20, 2.718};
    
    // Uniform initialization for containers
    std::vector<int> vec{1, 2, 3, 4, 5};
    
    // Printing values
    std::cout << "i: " << i << ", d: " << d << std::endl;
    obj.print();
    std::cout << "Vector size: " << vec.size() << std::endl;
    
    return 0;
}
